基于init.c的玩家复活装备模组

#### 模组说明:

本模组算是一个示例代码, 旨在告诉开发者如何正确的使用init.c加载自己的代码.

在init.c中.通常都是将大堆的代码直接带入到文件中, 导致init.c中的代码臃肿不堪,难以维护,对于此种情况,请参考本代码示例, 正确的处理在init.c中的代码逻辑

擅于使用 #include 标签来引入外部的.c文件, 将一些方法封装成一个类,进行调用, 而不是所有的代码都插入到init.c中. 参阅Scripts文件夹中的代码, 已经init.c的第一行.

#### 代码的功能:

代码编写了一个服主常用的功能, 给指定ID的玩家创建一套复活时穿戴的装备, 支持枪械配件的组装.

#### 可行的尝试:

对于懂代码的服主,可以尝试自行修改代码,实现一些额外的功能.

- 玩家进入游戏时的状态处理
  
- 玩家退出游戏时的物品处理
  
- 利用invoke进行实时的监控玩家.
  
- 监控客户端的RPC通讯